function [ objektOut, procentoNesymetrie ] = symetrieAuto( objekt, zadanaOsa )



osaSoumernosti=size(objekt);
if ((zadanaOsa>1)&&(zadanaOsa<osaSoumernosti(2)))
    osaSoumernosti=floor(zadanaOsa);
else
osaSoumernosti=floor(osaSoumernosti(2)/2);
end

mat1=objekt(:,1:osaSoumernosti);
mat2=objekt(:,osaSoumernosti+1:end);

vel1=size(mat1);
vel2=size(mat2);

if vel1(2)<vel2(2)
    matTemp(vel1(1), vel2(2))=false;
    matTemp(:, end-vel1(2)+1:end)=mat1;
    mat1=matTemp;
end
if vel2(2)<vel1(2)
    mat2(1,vel1(2))=0;
end



mat2=fliplr(mat2);
matChybiZ=((mat1)&(~mat2));%zeleně
matChybiC=((~mat1)&(mat2));%červeně

celkovyPocetPixelu=sum(sum(objekt));
cybejicichPixelu=sum(sum(matChybiZ))+sum(sum(matChybiC));
procentoNesymetrie=(cybejicichPixelu/celkovyPocetPixelu)*100;


objektOut=objekt;
objektOut(:,:,2)=objektOut(:,:,1);
objektOut(:,:,3)=objektOut(:,:,1);

matChybiZ=fliplr(matChybiZ);

matChybiZ=matChybiZ(1:vel2(1),1:vel2(2));

objektOut(:,vel1(2)+1:end,2)=(matChybiZ)|objektOut(:,vel1(2)+1:end,2);



matChybiC=matChybiC(1:vel1(1),(end-vel1(2)+1):end);

objektOut(:,1:vel1(2),1)=(matChybiC)|objektOut(:,1:vel1(2),1);


objektOut(:,osaSoumernosti:osaSoumernosti+1,1)=0;
objektOut(:,osaSoumernosti:osaSoumernosti+1,2)=0;
objektOut(:,osaSoumernosti:osaSoumernosti+1,3)=1;

objektOut=uint8(objektOut)*255;
end

